/*******************************************************************************
 * Copyright (C) 2002, 2003
 * ingenieurbuero fuer innovative informationstechnik (iiit)
 * Dipl.-Ing. Joerg Beckmann, Dortmund, Germany
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 * or look at http://www.gnu.org/copleft/lesser.html.
 *
 * version $Id: ParserException.java,v 1.5 2003/04/13 21:13:38 joerg Exp $
 ******************************************************************************/

package de.iiit.access.common.api;

/** This exception is thrown if there is something wrong
 * with the expression. The most common cases are syntax errors or
 * circular references within the expression.
 * @version $Revision: 1.5 $ $Date: 2003/04/13 21:13:38 $
 */
public class ParserException extends java.lang.Exception
{
    
    /**
     * Creates a new instance of <code>ParserException</code> without detail message.
     */
    public ParserException()
    {
    }
    
    
    /**
     * Constructs an instance of <code>ParserException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public ParserException(String msg)
    {
        super(msg);
    }
}

/**
 * $Log: ParserException.java,v $
 * Revision 1.5  2003/04/13 21:13:38  joerg
 * Copyright statements changed to LGPL
 *
 * Revision 1.4  2003/04/13 21:09:56  joerg
 * Package structure modified
 *
 * Revision 1.3  2003/04/13 20:16:41  joerg
 * Package structure modified
 *
 * Revision 1.2  2003/01/01 21:04:18  joerg
 * Copyright-Statement aktualisiert
 *
 * Revision 1.1  2002/12/19 15:24:23  joerg
 * Reparatur des CVS-Repositories
 *
 * Revision 1.3  2002/12/09 19:29:17  joerg
 * Versionsdaten in allen JavaDoc-Klassenbeschreibungen ergaenzt
 *
 * Revision 1.2  2002/12/09 16:32:26  joerg
 * JavaDoc Kommentare ergaenzt
 *
 * Revision 1.1  2002/11/26 10:55:36  joerg
 * Package exprparser durch parser erstzt.
 *
 */
