/*******************************************************************************
 * Copyright (C) 2002, 2003
 * ingenieurbuero fuer innovative informationstechnik (iiit)
 * Dipl.-Ing. Joerg Beckmann, Dortmund, Germany
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * version $Id: CachePluginIf.java,v 1.3 2003/04/13 20:16:41 joerg Exp $
 ******************************************************************************/

package de.iiit.access.server.api;

import de.iiit.cache.*;

/** Classes implementing this interfaces can be loaded a cache plug-in into the
 * AccessServer.
 * @version $Revision: 1.3 $ $Date: 2003/04/13 20:16:41 $
 */
public interface CachePluginIf extends ThreadPluginIf
{
    /** Adds the result of one expression to the cache of the user.
     * @param user The name of the user
     * @param expression The expression
     * @param isAllowed The result of the expression
     */    
    public void addUserRight(String user, String expression, boolean isAllowed);
    /** Retrieves the result of an expression from the cache.
     * @param user The name of the user for whom the result is needed.
     * @param expression The expression
     * @throws CacheFaultException if the result is not found in the cache
     * @return the result of the expression
     */    
    public boolean getUserRight(String user, String expression) throws CacheFaultException;
}

/**
 * $Log: CachePluginIf.java,v $
 * Revision 1.3  2003/04/13 20:16:41  joerg
 * Package structure modified
 *
 * Revision 1.2  2003/01/01 21:04:17  joerg
 * Copyright-Statement aktualisiert
 *
 * Revision 1.1  2002/12/19 15:24:23  joerg
 * Reparatur des CVS-Repositories
 *
 * Revision 1.4  2002/12/09 21:14:15  joerg
 * AccessServerThreadPluginIf umbenannt in ThreadPluginIf
 *
 * Revision 1.3  2002/12/09 19:29:17  joerg
 * Versionsdaten in allen JavaDoc-Klassenbeschreibungen ergaenzt
 *
 * Revision 1.2  2002/12/09 16:32:26  joerg
 * JavaDoc Kommentare ergaenzt
 *
 * Revision 1.1  2002/11/19 20:21:11  joerg
 * Interface fuer CachePlugins
 *
 */
